> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/api-targets/es/cualquier-dominio.md).

# Cualquier dominio

Descubra nuestras fuentes de scraping dedicadas de Web Scraper API para [sitios web de comercio electrónico](/api-targets/es/comercio-electronico.md), [motores de búsqueda](/api-targets/es/motores-de-busqueda.md), [LLMs e IA](/api-targets/es/llm-e-ia.md), [datos de video](/api-targets/es/video-y-redes-sociales.md), [inmobiliaria](/api-targets/es/bienes-raices.md) plataformas, o extraiga cualquier sitio web público con nuestra `universal` fuente siguiendo la guía a continuación. Acepta URLs junto con [parámetros adicionales](#additional).

## Ejemplos de solicitudes

En este ejemplo, la API recuperará una página de producto de comercio electrónico.

{% tabs %}
{% tab title="cURL" %}

```shell
curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
        "source": "universal",
        "url": "https://sandbox.oxylabs.io/products/1"
    }'
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
from pprint import pprint


# Structure payload.
payload = {
    'source': 'universal',
    'url': 'https://sandbox.oxylabs.io/products/1',
}

# Get response.
response = requests.request(
    'POST',
    'https://realtime.oxylabs.io/v1/queries',
    auth=('USERNAME', 'PASSWORD'),
    json=payload,
)

# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const https = require("https");

const username = "USERNAME";
const password = "PASSWORD";
const body = {
    source: "universal",
    url: "https://sandbox.oxylabs.io/products/1",
};

const options = {
    hostname: "realtime.oxylabs.io",
    path: "/v1/queries",
    method: "POST",
    headers: {
        "Content-Type": "application/json",
        Authorization:
            "Basic " + Buffer.from(`${username}:${password}`).toString("base64"),
    },
};

const request = https.request(options, (response) => {
    let data = "";

    response.on("data", (chunk) => {
        data += chunk;
    });

    response.on("end", () => {
        const responseData = JSON.parse(data);
        console.log(JSON.stringify(responseData, null, 2));
    });
});

request.on("error", (error) => {
    console.error("Error:", error);
});

request.write(JSON.stringify(body));
request.end();
```

{% endtab %}

{% tab title="HTTP" %}

```http
# The whole string you submit has to be URL-encoded.

https://realtime.oxylabs.io/v1/queries?source=universal&url=https%3A%2F%2Fsandbox.oxylabs.io%2Fproducts%2F1&access_token=12345abcde
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$params = array(
    'source' => 'universal',
    'url' => 'https://sandbox.oxylabs.io/products/1',
);

$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, "https://realtime.oxylabs.io/v1/queries");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($params));
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_USERPWD, "USERNAME" . ":" . "PASSWORD");

$headers = array();
$headers[] = "Content-Type: application/json";
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

$result = curl_exec($ch);
echo $result;

if (curl_errno($ch)) {
    echo 'Error:' . curl_error($ch);
}
curl_close($ch);
```

{% endtab %}

{% tab title="Golang" %}

```go
package main

import (
	"bytes"
	"encoding/json"
	"fmt"
	"io/ioutil"
	"net/http"
)

func main() {
	const Username = "USERNAME"
	const Password = "PASSWORD"

	payload := map[string]interface{}{
		"source": "universal",
		"url":    "https://sandbox.oxylabs.io/products/1",
	}

	jsonValue, _ := json.Marshal(payload)

	client := &http.Client{}
	request, _ := http.NewRequest("POST",
		"https://realtime.oxylabs.io/v1/queries",
		bytes.NewBuffer(jsonValue),
	)

	request.SetBasicAuth(Username, Password)
	response, _ := client.Do(request)

	responseText, _ := ioutil.ReadAll(response.Body)
	fmt.Println(string(responseText))
}

```

{% endtab %}

{% tab title="C#" %}

```csharp
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Json;
using System.Threading.Tasks;

namespace OxyApi
{
    class Program
    {
        static async Task Main()
        {
            const string Username = "USERNAME";
            const string Password = "PASSWORD";

            var parameters = new {
                source = "universal",
                url = "https://sandbox.oxylabs.io/products/1"
            };

            var client = new HttpClient();

            Uri baseUri = new Uri("https://realtime.oxylabs.io");
            client.BaseAddress = baseUri;

            var requestMessage = new HttpRequestMessage(HttpMethod.Post, "/v1/queries");
            requestMessage.Content = JsonContent.Create(parameters);

            var authenticationString = $"{Username}:{Password}";
            var base64EncodedAuthenticationString = Convert.ToBase64String(System.Text.ASCIIEncoding.UTF8.GetBytes(authenticationString));
            requestMessage.Headers.Add("Authorization", "Basic " + base64EncodedAuthenticationString);

            var response = await client.SendAsync(requestMessage);
            var contents = await response.Content.ReadAsStringAsync();

            Console.WriteLine(contents);
        }
    }
}
```

{% endtab %}

{% tab title="Java" %}

```java
package org.example;

import okhttp3.*;
import org.json.JSONObject;
import java.util.concurrent.TimeUnit;

public class Main implements Runnable {
    private static final String AUTHORIZATION_HEADER = "Authorization";
    public static final String USERNAME = "USERNAME";
    public static final String PASSWORD = "PASSWORD";

    public void run() {
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("source", "universal");
        jsonObject.put("url", "https://sandbox.oxylabs.io/products/1");

        Authenticator authenticator = (route, response) -> {
            String credential = Credentials.basic(USERNAME, PASSWORD);
            return response
                    .request()
                    .newBuilder()
                    .header(AUTHORIZATION_HEADER, credential)
                    .build();
        };

        var client = new OkHttpClient.Builder()
                .authenticator(authenticator)
                .readTimeout(180, TimeUnit.SECONDS)
                .build();

        var mediaType = MediaType.parse("application/json; charset=utf-8");
        var body = RequestBody.create(jsonObject.toString(), mediaType);
        var request = new Request.Builder()
                .url("https://realtime.oxylabs.io/v1/queries")
                .post(body)
                .build();

        try (var response = client.newCall(request).execute()) {
            if (response.body() != null) {
                try (var responseBody = response.body()) {
                    System.out.println(responseBody.string());
                }
            }
        } catch (Exception exception) {
            System.out.println("Error: " + exception.getMessage());
        }

        System.exit(0);
    }

    public static void main(String[] args) {
        new Thread(new Main()).start();
    }
}
```

{% endtab %}

{% tab title="JSON" %}

```json
{
    "source": "universal", 
    "url": "https://sandbox.oxylabs.io/products/1"
}
```

{% endtab %}
{% endtabs %}

<details>

<summary>Ejemplo de salida</summary>

```json
{
    "results": [
        {
            "content": "<!DOCTYPE html><html lang=\"en\">
            CONTENT
            </html>",
            "created_at": "2024-07-01 11:35:14",
            "updated_at": "2024-07-01 11:35:15",
            "page": 1,
            "url": "https://sandbox.oxylabs.io/products/1",
            "job_id": "7213505428280329217",
            "status_code": 200
        }
    ]
}
```

</details>

Usamos el método de integración síncrono [**Realtime**](/products/es/web-scraper-api/integration-methods/realtime.md) de integración en nuestros ejemplos. Si desea usar [**Proxy Endpoint**](/products/es/web-scraper-api/integration-methods/proxy-endpoint.md) o asíncrona [**Push-Pull**](/products/es/web-scraper-api/integration-methods/push-pull.md) integración, consulte la [**métodos de integración**](/products/es/web-scraper-api/integration-methods.md) sección.

## Valores de los parámetros de solicitud

### Genérico

<table><thead><tr><th width="205">Parámetro</th><th width="289.3333333333333">Descripción</th><th>Valor predeterminado</th></tr></thead><tbody><tr><td><mark style="background-color:green;"><strong>source</strong></mark></td><td>Establece el scraper.</td><td><code>universal</code></td></tr><tr><td><mark style="background-color:green;"><strong>url</strong></mark></td><td>URL directa (enlace) a cualquier página.</td><td>-</td></tr><tr><td><code>callback_url</code></td><td>URL a su endpoint de callback. <a href="/spaces/xofNngbwiAAH0MB3lMAb/pages/28181dba27c108c1684f7f17f5d8fef78bd80d90"><strong>Más información</strong></a>.</td><td>-</td></tr></tbody></table>

&#x20;    \- parámetro obligatorio

### Adicionales

Estos son los parámetros de nuestras [**funcionalidades**](/products/es/web-scraper-api/features.md).

<table><thead><tr><th width="253">Parámetro</th><th width="338.92746113989637">Descripción</th><th>Valor predeterminado</th></tr></thead><tbody><tr><td><code>geo_location</code></td><td>Establece la ubicación geográfica del proxy para recuperar datos. Encuentre las ubicaciones compatibles <a href="/spaces/xofNngbwiAAH0MB3lMAb/pages/8d36c84c4c042bed6c7d02fb0129b7a3c4768b36#list-of-supported-geo_location-values"><strong>aquí</strong></a>.</td><td>-</td></tr><tr><td><code>render</code></td><td>Habilita la renderización de JavaScript cuando se establece en <code>html</code>. <a href="/spaces/xofNngbwiAAH0MB3lMAb/pages/47852075b446d7f11217f4c0334348f21fb197b8#javascript-rendering"><strong>Más información</strong></a><strong>.</strong> NOTA: Si observa tasas de éxito bajas o recupera contenido vacío, pruebe agregando este parámetro.</td><td>-</td></tr><tr><td><code>browser_instructions</code></td><td>Defina sus propias instrucciones del navegador que se ejecutan al renderizar JavaScript. <a href="/spaces/xofNngbwiAAH0MB3lMAb/pages/47852075b446d7f11217f4c0334348f21fb197b8#browser-instructions"><strong>Más información</strong></a>.</td><td>-</td></tr><tr><td><code>parse</code></td><td>Devuelve datos analizados cuando se establece en <code>true</code>, siempre que exista un analizador dedicado para el tipo de página de la URL enviada.</td><td><code>false</code></td></tr><tr><td><code>parsing_instructions</code></td><td>Defina su propia lógica de análisis y transformación de datos que se ejecutará sobre un resultado de scraping HTML. Lea más: <a href="/spaces/xofNngbwiAAH0MB3lMAb/pages/6fd3569c2400a7c36b3fda738cd4df91a4fa24ac"><strong>Ejemplos de instrucciones de análisis</strong></a><strong>.</strong></td><td>-</td></tr><tr><td><code>context</code>:<br><code>headers</code></td><td>Envíe sus propios encabezados. Más información <a href="/spaces/xofNngbwiAAH0MB3lMAb/pages/cf9aa173d0209fe05e1d0c995a771c3952cda350#custom-headers"><strong>aquí</strong></a>.</td><td>-</td></tr><tr><td><code>context</code>:<br><code>cookies</code></td><td>Envíe sus propios cookies. Más información <a href="/spaces/xofNngbwiAAH0MB3lMAb/pages/cf9aa173d0209fe05e1d0c995a771c3952cda350#custom-cookies"><strong>aquí</strong></a>.</td><td>-</td></tr><tr><td><code>context</code>:<br><code>session_id</code></td><td>Si desea usar el mismo proxy con múltiples solicitudes, puede hacerlo usando este parámetro. Solo establezca su sesión en cualquier cadena que desee, y asignaremos un proxy a este ID, y lo mantendremos hasta por 10 minutos. Después de eso, si hace otra solicitud con el mismo ID de sesión, se asignará un nuevo proxy a ese ID de sesión en particular.</td><td>-</td></tr><tr><td><code>context</code>:<br><code>http_method</code></td><td>Establézcalo en <code>post</code> si desea realizar una <code>POST</code> solicitud a su URL de destino a través de E-commerce Scraper API. Más información <a href="/spaces/xofNngbwiAAH0MB3lMAb/pages/cf9aa173d0209fe05e1d0c995a771c3952cda350#http-method"><strong>aquí</strong></a>.</td><td><code>get</code></td></tr><tr><td><code>user_agent_type</code></td><td>Tipo de dispositivo y navegador. La lista completa se puede encontrar <a href="/spaces/xofNngbwiAAH0MB3lMAb/pages/c0794af77dadf44c32dae6894baaca0b93585869"><strong>aquí</strong></a>.</td><td><code>desktop</code></td></tr><tr><td><code>context</code>:<br><code>content</code></td><td>Codificado en Base64 <code>POST</code> cuerpo de la solicitud. Solo es útil si <code>http_method</code> se establece en <code>post</code>.</td><td>-</td></tr><tr><td><code>content_encoding</code></td><td>Añada este parámetro si descarga imágenes. Más información <a href="/spaces/xofNngbwiAAH0MB3lMAb/pages/079fdf7888ae73f14b3e14af3eb88f571396127a"><strong>aquí</strong></a>.</td><td><code>base64</code></td></tr><tr><td><code>context</code>:<br><code>follow_redirects</code></td><td>Establézcalo en <code>true</code> para permitir que el scraper siga redirecciones. De forma predeterminada, las redirecciones se siguen hasta un límite de 10 enlaces, tratando toda la cadena como un solo trabajo de scraping.</td><td><code>true</code></td></tr><tr><td><code>context</code>:<br><code>successful_status_codes</code></td><td>Defina un código de respuesta HTTP personalizado (o varios), a partir del cual consideraremos exitosa la extracción y le devolveremos el contenido. Puede ser útil si desea que devolvamos la página de error 503 o en otros casos no estándar.</td><td>-</td></tr></tbody></table>

**Todos los parámetros**

En este ejemplo, se incluyen todos los parámetros disponibles (aunque no siempre sean necesarios o compatibles en la misma solicitud), para darle una idea de cómo formatear sus solicitudes.

{% code fullWidth="false" %}

```json
{
    "source": "universal", 
    "url": "https://example.com", 
    "user_agent_type": "desktop",
    "geo_location": "United States",
    "parse": true,
    "context": [
        {
            "key": "headers", 
            "value": {
                "Content-Type": "application/octet-stream", 
                "Custom-Header-Name": "custom header content"
            }
        }, 
        {
            "key": "cookies", 
            "value": [
                {
                    "key": "NID", 
                    "value": "1234567890"
                },
                {
                    "key": "1P JAR",
                    "value": "0987654321"
                }]
        },
        {
            "key": "follow_redirects",
            "value": true
        },
        {
            "key": "http_method", "value": "get"
        },
        {
            "key": "content",
            "value": "YmFzZTY0RW5jb2RlZFBPU1RCb2R5"
        },
        {
            "key": "successful_status_codes",
            "value": [808, 909]
        }]
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.oxylabs.io/api-targets/es/cualquier-dominio.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
